/**
  ******************************************************************************
  * @file    IWDG_CFG.h
  * @author  SINOMCU-AE
  * @brief   Header file of IWDG_CFG.c file.
  *    
  *          This file describes the WWDG macro definitions used:
  *              IWDT reset count.
  *         
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, SinoMCU shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu All rights reserved.</center></h2>
  *
  ******************************************************************************
  */

#ifndef __IWDG_CFG_H
#define __IWDG_CFG_H

#include "ms32f0xx.h"

#define IWDG_CNT_USER_1S     625       // 40K(LSI) / MS32_IWDG_PRESCALER_64

void iwdg_init(void);

#endif /* __IWDG_CFG_H */ 

/******************************** END OF FILE *********************************/
